<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
 <%@include file="/views/common.jsp"%>
</head>
<!-- 证书 -->
<style>
</style>
<body>
	<div class="big_box">
		<div class="left_div">
			<h1 class="h2">证书</h1> <span style="color:red;font-weight:700;"></span>
			<hr>
			<form class="layui-form">
				<input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="26" >
				<p>
					材质
				</p>
				<div class="layui-form-item">
					<input type="radio" name="kindValue" value="230克白卡纸" title="230克白卡纸" checked>
				</div>
				<p>
					规格
				</p>
				<div class="layui-form-item">
					<input type="radio" name="size1" value="28.5*21cm" title="28.5*21cm" checked>
				</div>
				<p>数量</p>
				<div class="layui-form-item">
					<input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input" autocomplete="off">
				</div>
				<p>
					款数
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1" class="layui-input" lay-verify="number">
				</div>
				<p>
					客户旺旺
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
				</div>
				<hr>
				<div class="layui-form-item">
					<button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
					<button type="reset" class="layui-btn layui-btn-primary">重置</button>
				</div>
				<h2>计算结果-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button></h2>
				<div>
					<textarea rows="11" cols="75"  id="span_result" readonly="readonly"></textarea>
					<%@include file="../acountExpressFee.jsp"%>
				</div>
				<!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
				<div>
					<textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
				</div>-->
				<div >
					<table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
				</div>
			</form>
		</div>
		<div class="right_div">
			<div class="layui-carousel" id="test1" >
				<div carousel-item id="carousel"></div>
				<br>
				<div id="remark" style="font-size:20px;color:red"></div>
			</div> 
		</div>
	</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp"%>
<script>
layui.use(['table','form'], function(){    
    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
    var table = layui.table;
	
	
	// 点击计算，计算价格
	form.on('submit(acount_btn)', function(data) {
		var number    = $("#number").val();
		var kindValue = $('input[name="kindValue"]:checked').val();
		var size 	  = $('input[name="size1"]:checked').val();
		if ($("#count").val() > 1000) {
			layer.msg("数量大于1000 请单独报价！",{offset:['300px','300px']},function(){});
			return false;
		}
		$.ajax({
			url : "${path}/getThanSum",
			type : "GET",
			data : $(".big_box form").serialize(),
			success : function(result) {
				if(result.code == 100){
					layer.msg(result.msg,{offset:['300px','300px']},function(){});
					return false;
				}
				var data = result.data.proList;
				
				var span_result ='证书 - ' + kindValue + ' - ' + size +'\n' + "工艺： " + "正面覆亮膜 + 中间压痕\n";
				if(number > 1){
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }
				}else{
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }
				}
				span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
				$("#span_result").val(span_result);
				
				var count = $("#count").val();
				size = size.replace("cm", "");
				getRemark("宣传单", size, count+"个", kindValue, number, "正面覆亮膜中间压痕", "（证书）");
				//计算完自动复制文本
				var e=document.getElementById("span_result");//对象是content
				if (e.value != "") {
					e.select();//选择对象
					document.execCommand("Copy");//执行浏览器复制命令
				}
				
				//生成表格
				table.render({
					elem : '#priceTable',
					even : true, //隔行变色
					data : data, // 赋值已知数据
					width : 500,
					cols : [ [ 
						{
							field : 'number',
							width : '12%',
							align : "center",
							title : '款数'
						},{
							field : 'count',
							width : '16%',
							align : "center",
							title : '数量'
						},{
							field : 'price',
							width : '16%',
							align : "center",
							title : '报价'
						},{
							field : 'wangwang',
							align : "center",
							width : '16%',
							title : '折扣价'
						},{
							field : 'wangwang',
							align : "center",
							width : '19%',
							title : '跳楼价'
						},{
							field : 'weight',
							width : '21%',
							align : "center",
							title : '重量（kg）'
						}
					] ],
					done: function () {}
				});
			}
		});
		return false;
	});
});
	
</script>
</html>